SystemOrganization addCategory: #MySetTest!

TestCase subclass: #ExampleSetTest
	instanceVariableNames: 'full empty'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MySetTest'!

!ExampleSetTest methodsFor: 'running' stamp: 'DanielSarachaga 4/23/2013 19:03'!
setUp
	empty := Set new.
	full := Set with: 5 with: 6! !

!ExampleSetTest methodsFor: 'running' stamp: 'DanielSarachaga 4/23/2013 19:23'!
testIllegal
	self should: [empty at: 5] raise: TestResult error.
	self should: [empty at: 5 put: #zork] raise: TestResult error! !

!ExampleSetTest methodsFor: 'running' stamp: 'DanielSarachaga 4/23/2013 19:05'!
testIncludes
	self assert: (full includes: 5).
	self assert: (full includes: 6)! !

!ExampleSetTest methodsFor: 'running' stamp: 'DanielSarachaga 4/23/2013 19:06'!
testOccurrences
	self assert: (empty occurrencesOf: 0) = 0.
	self assert: (full occurrencesOf: 5) = 1.
	full add: 5.
	self assert: (full occurrencesOf: 5) = 1! !

!ExampleSetTest methodsFor: 'running' stamp: 'DanielSarachaga 4/23/2013 19:19'!
testRemove
	full remove: 5.
	self assert: (full includes: 6).
	self deny: (full includes: 5)! !
